#
# Terran Anti Air Missile
#
local AcolyteMissileprojectile = import('/mods/BlackOps/lua/BlackOpsprojectiles.lua').AcolyteMissileprojectile
AcolyteMissile01 = Class(AcolyteMissileprojectile) {

    OnCreate = function(self)
        AcolyteMissileprojectile.OnCreate(self)
        self:ForkThread( self.MovementThread )
    end,
    
    MovementThread = function(self)
        WaitSeconds(0.35)
        self:TrackTarget(true)
        self:SetTurnRate(180)
        WaitSeconds(1)
        self:SetTurnRate(360)
    end,   
}

TypeClass = AcolyteMissile01

